harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stepan Mishura" <stepan.mish...@gmail.com>
Subject Re: harmony compilation error
Date Mon, 28 May 2007 04:31:05 GMT
On 5/28/07, Xiao-Feng Li <xiaofeng.li@gmail.com> wrote:
> On 5/28/07, Vladimir Ivanov <ivavladimir@gmail.com> wrote:
> > Actually, Harmony does not work with antlr-3.0.jar (at least for me).
> > You can find details in the thread:
> > [drlvm][build] DRLVM build failed today: link should be updated
>
> It's unexpected that Harmony doesn't have a prompt solution for this
> issue. Let's see if Pierre can work it out with antlr3.0.

I've started new thread about using antlr. See thread: [drlvm] antlr:
migrate to v3 or may be eliminate this dependency?

-Stepan.

>
> Thanks,
> xiaofeng
>
> >  thanks, Vladimir
> >
> > On 5/27/07, Pierre Parrend <pierre.parrend@insa-lyon.fr> wrote:
> > >
> > > Hello,
> > >
> > >  antlr is present in the ./working_vm/build/pre-copied/common/ANTLR/
> > > directory.
> > >
> > > However, I had to change the version from antlr-2.7.0.jar to
> > > antlr-3.0.jar (since the web site that is set in the 'fetch-depends' scripts
> > > does no longer have the 2.7.0 version online). Do I have to make specific
> > > changes, or is it possible simply to change the version number in the build.xml
> > > files ? (to date I performed a grep -r 'antlr-2.7.0.jar' and simply updated
what
> > > I found),
> > >
> > > Pierre
> > >
> > > Quoting Xiao-Feng Li <xiaofeng.li@gmail.com>:
> > >
> > > > Hi, Pierre, what it needs is antlr, not ant. Please check. Thanks, xiaofeng
> > > >
> > > > On 5/27/07, Pierre Parrend <pierre.parrend@insa-lyon.fr> wrote:
> > > > >
> > > > >  Hello,
> > > > >
> > > > > when compiling the working_vm/build part of Harmony, I get the following
> > > > error.
> > > > > All other modules (common_resources, working_classlib, working_jdktools)
> > > > have
> > > > > been compiled with the ant script.
> > > > >
> > > > > It seems the ant jar can not be resolve, even though following ant
jars
> > > > are
> > > > > available:
> > > > > ./working_vm/build/make/tmp/ant-contrib.jar
> > > > > ./working_vm/build/pre-copied/common/JASMIN/jasmin-1.1/lib/ant.jar
> > > > >
> > > > ./working_vm/build/pre-copied/common/JASMIN/jasmin-1.1/lib/ant-launcher.jar
> > > > > ./working_vm/build/pre-copied/common/ANTLR/antlr-3.0.jar
> > > > >
> > > >
> > > ./working_vm/build/pre-copied/common/ANTCONTRIB/ant-contrib/lib/ant-contrib.jar
> > > > >
> > > > > The pb has probably already been identified, however I did not manage
to
> > > > find
> > > > > related mails in the Harmony archive.
> > > > >
> > > > > Does someone has an idea where it comes from ?
> > > > >
> > > > > thanks,
> > > > >
> > > > > Pierre P.
> > > > > build.java:
> > > > >      [echo] ## Building Java classes of 'vm.kernel_classes'
> > > > > Overriding previous definition of reference to java.classes.pattern
> > > > >     [javac] Compiling 2 source files to
> > > > >
> > > >
> > > /home/pierre/downloads/java/harmony/trunk/working_vm/build/lnx_ia32_gcc_debug/semis/vm/kernel_classes/_classes
> > > > >     [javac] ----------
> > > > >     [javac] 1. ERROR in
> > > > >
> > > >
> > > /home/pierre/downloads/java/harmony/trunk/working_vm/vm/vmcore/src/kernel_classes/javasrc/org/apache/harmony/lang/reflect/parser/SignatureLexer2.java
> > > > > (at line 20)
> > > > >     [javac]     import antlr.TokenStream;
> > > > >     [javac]            ^^^^^
> > > > >     [javac] The import antlr cannot be resolved
> > > > >
> > > > > ...
> > > > >
> > > > > BUILD FAILED
> > > > >
> > > >
> > > /home/pierre/downloads/java/harmony/trunk/working_vm/build/make/build.xml:488:
> > > > > The following error occurred while executing this line:
> > > > >
> > > >
> > > /home/pierre/downloads/java/harmony/trunk/working_vm/build/make/build.xml:495:
> > > > > The following error occurred while executing this line:
> > > > >
> > > >
> > > /home/pierre/downloads/java/harmony/trunk/working_vm/build/make/build_component.xml:73:
> > > > > The following error occurred while executing this line:
> > > > >
> > > >
> > > /home/pierre/downloads/java/harmony/trunk/working_vm/build/lnx_ia32_gcc_debug/semis/build/targets/build.java.xml:10:
> > > > > Compile failed; see the compiler error output for details.
> > > > >
> > > > > --
> > > > > Pierre Parrend
> > > > > Ph.D. Student, Teaching Assistant
> > > > > INRIA-INSA Lyon, France
> > > > > pierre.parrend@insa-lyon
> > > > > web : www.rzo.free.fr
> > > > >
> > > >
> > > >
> > > > --
> > > > http://xiao-feng.blogspot.com
> > > >
> > >
> > >
> > > --
> > > Pierre Parrend
> > > doctorant, moniteur
> > > laboratoire CITI, 21, Av. Jean Capelle
> > > 69621 Villeurbanne Cedex
> > > pierre.parrend@insa-lyon.fr
> > > www.rzo.free.fr
> > >
> >
>
>
> --
> http://xiao-feng.blogspot.com
>

Mime
View raw message